net.corda.node.services.api

## Class AcceptsFileUpload.DefaultImpls

- net.corda.node.services.api.AcceptsFileUpload.DefaultImpls

- Enclosing interface:
    AcceptsFileUpload

      public static class AcceptsFileUpload.DefaultImpls

  A service that implements AcceptsFileUpload can have new binary data provided to it via an HTTP upload.

  TODO: In future, also accept uploads over the MQ interface too.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `accepts(AcceptsFileUpload $this, java.lang.String prefix)` Check if this service accepts this type of upload. For example if you are uploading interest rates this could be "my-service-interest-rates". Type here does not refer to file extentions or MIME types.

- - ### Method Detail

    - #### accepts

          public static boolean accepts(AcceptsFileUpload $this,
                                        java.lang.String prefix)

      Check if this service accepts this type of upload. For example if you are uploading interest rates this could be "my-service-interest-rates". Type here does not refer to file extentions or MIME types.